<!--<?xml version="1.0" encoding="utf-8" ?>-->
<!--<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >-->
<!--<mapper namespace="com.backendsys.mapper.Cms.CmsSiteInfoMapper">-->

<!--    <sql id="includeSiteInfo">-->
<!--        id,-->
<!--        name,-->
<!--        COALESCE(meta_keyword, '') meta_keyword,-->
<!--        COALESCE(meta_description, '') meta_description,-->
<!--        COALESCE(copyright, '') copyright,-->
<!--        COALESCE(icp, '') icp,-->
<!--        status-->
<!--    </sql>-->

<!--    <resultMap id="resultMapSiteInfo" type="java.util.LinkedHashMap">-->
<!--        <id property="id" column="id" jdbcType="BIGINT"/>-->
<!--        <result property="name" column="name" />-->
<!--        <result property="meta_keyword" column="meta_keyword" />-->
<!--        <result property="meta_description" column="meta_description" />-->
<!--        <result property="copyright" column="copyright" />-->
<!--        <result property="icp" column="icp" />-->
<!--        <result property="status" column="status" javaType="java.lang.Integer" />-->
<!--    </resultMap>-->

<!--    <select id="querySiteInfoList" resultMap="resultMapSiteInfo">-->
<!--        SELECT <include refid="includeSiteInfo" />-->
<!--        FROM cms_site_info-->
<!--        LIMIT 1-->
<!--    </select>-->

<!--    <update id="updateSiteInfo" parameterType="com.backendsys.entity.Cms.CmsSiteInfoDTO"-->
<!--        useGeneratedKeys="true" keyProperty="site_info_id">-->
<!--        UPDATE cms_site_info-->
<!--        SET name = #{name}-->
<!--            <if test="meta_keyword != null and meta_keyword != ''">, meta_keyword = #{meta_keyword}</if>-->
<!--            <if test="meta_description != null and meta_description != ''">, meta_description = #{meta_description}</if>-->
<!--            <if test="copyright != null and copyright != ''">, copyright = #{copyright}</if>-->
<!--            <if test="icp != null and icp != ''">, icp = #{icp}</if>-->
<!--            <if test="status != null and status != ''">, status = #{status}</if>-->
<!--        WHERE id = #{id}-->
<!--    </update>-->

<!--</mapper>-->